<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


switch($_GET['action']){

default:
echo '<b><font color="red">Дискотека</font></b><br/>';
echo '&raquo; <a href="disco.php?action=godisco">Идти на дискотеку</a> (100$)<br/>';
echo '&raquo; <a href="disco.php?action=gobar">Идти в бар</a> (50$)<br/>';
echo '&raquo; <a href="disco.php?action=gowc">Сходить в туалет</a> (10$)<br/>';
echo '&raquo; <a href="disco.php?action=grab">Грабить пяных</a><br/>';
break;


case 'grab':
echo '<b><font color="red">Дискотека</font></b><br/>';
$r=rand(1,5);
if($r>=3){
$cash=rand(1,250);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$cash' WHERE `id`='".$user['id']."'");
echo 'Вы успешно грабанули пяных бомжей и получили '.$cash.'$!<br/>';
echo '<a href="disco.php?action=grab">Грабить ещо?</a> Или <a href="disco.php">на дискотеку!</a>';
}else{
$cash=rand(25,150);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$cash' WHERE `id`='".$user['id']."'");
echo 'Ты хотел пресануть пяных прохожих но пулучил отпор и потерял '.$cash.'$!<br/>';
echo '<a href="disco.php?action=grab">Грабить ещо?</a> Или <a href="disco.php">на дискотеку!</a>';
};
break;


case 'gowc':
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-10,`gorod_life`=`gorod_life`+10 WHERE `id`='".$user['id']."'");
echo '<b><font color="red">Туалет</font></b><br/>';
echo 'Вы успешно поссали востановив 10 здоровя!<br/>';
echo '<a href="disco.php">На дискотеку</a>';
break;


case 'gobar':
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-50 WHERE `id`='".$user['id']."'");
echo '<b><font color="red">БАР</font></b><br/>';
echo '&raquo; <a href="disco.php?action=buy&amp;i=1">Купить бутылку пива "Miller"</a> (15$)<br/>';
echo '&raquo; <a href="disco.php?action=buy&amp;i=2">Купить бутылку водки "Флагман"</a> (40$)<br/>';
echo '&raquo; <a href="disco.php?action=buy&amp;i=3">Купить пачку сигарет "Marlboro"</a> (75$)<br/>';
echo '&raquo; <a href="disco.php">На дискотеку</a>';
break;

case 'buy':
$i=(int)$_GET['i'];
if($i<0 || $i>3){echo 'Не правильный параметры!';break;};
if($i==1){$tov='Пиво Miller';$price=15;}
elseif($i==2){$tov='Водка Флагман';$price=40;}
else{$tov='Пачка Marlboro';$price=75;};
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$price' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','$tov','disco','$price')");
echo 'У тебя '.$tov.'! Можеш ити <a href="disco.php">на дискотеку</a> или <a href="disco.php?action=gobar">вернутся в бар</a>!';
break;


case 'godisco':
echo '<b><font color="red">Дискотека</font></b><br/>';
echo '&raquo; <a href="disco.php?action=dance">Танцевать</a><br/>';
echo '&raquo; <a href="disco.php?action=prigdance">Пригласить потенцевать</a><br/>';
echo '&raquo; <a href="disco.php?action=gobar">Идти в бар</a> (50$)<br/>';
echo '&raquo; <a href="disco.php?action=gowc">Сходить в туалет</a> (10$)<br/>';
echo '&raquo; <a href="disco.php">Выйти на улицу</a><br/>';
break;


case 'dance':
echo '<b><font color="red">Дискотека</font></b><br/>';
echo '<img src="images/dance.jpg"/><br/>';
echo '&raquo; <a href="disco.php?action=prigdance">Пригласить потенцевать</a><br/>';
echo '&raquo; <a href="disco.php?action=gobar">Идти в бар</a> (50$)<br/>';
echo '&raquo; <a href="disco.php?action=gowc">Сходить в туалет</a> (10$)<br/>';
echo '&raquo; <a href="disco.php">Выйти на улицу</a><br/>';
break;


case 'prigdance':
echo '<b><font color="red">Дискотека</font></b><br/>';
echo '<img src="images/tanec.jpg"/><br/>';
echo 'Поздравляю вы пригласили самую крамивую девушку на танец!<br/>';
echo '&raquo; <a href="disco.php?action=dance">Танцевать</a><br/>';
echo '&raquo; <a href="disco.php?action=gobar">Идти в бар</a> (50$)<br/>';
echo '&raquo; <a href="disco.php?action=gowc">Сходить в туалет</a> (10$)<br/>';
echo '&raquo; <a href="disco.php">Выйти на улицу</a><br/>';
break;

};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{
echo '<div class="msg">Город закрыт администратором!</div>';
};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>